
Infrastructure - Story #1823

Debian Packages need to be updated when updated, and environment aware

2011-10-07 21:35 - Robert Waltz

Status: Closed Start date: 2012-02-17

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Story Points:    

Description

Installation of debian packages on the CN works fine, but updates to those packages tend to re-install rather than intelligently update.

Scipts need to be modified to be 1) environment aware, and 2) installation status aware.  They can use the debconf flags set by

dataone-cn-os-core to determine installation and environment status.

Subtasks:

Task # 2346: Modify dataone-cn-metacat debian scripts to be aware of the deployed envir... Closed

Task # 2417: Modify dataone-cn-portal debian scripts to be aware of the deployed enviro... Closed

History

#1 - 2011-10-07 21:49 - Robert Waltz

- Position set to 249

#2 - 2011-11-29 17:32 - Robert Waltz

- Milestone changed from CCI-0.7.0 to CCI-1.0.0

#3 - 2012-02-08 20:02 - Dave Vieglais

- Target version set to Sprint-2012.07-Block.1.4

- Position set to 1

- Position deleted (332)

#4 - 2012-02-24 18:29 - Robert Waltz

- Assignee changed from Robert Waltz to Chris Jones

#5 - 2012-02-27 18:09 - Dave Vieglais

- Position set to 21

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position deleted (22)

#6 - 2012-02-29 17:12 - Chris Jones

- Status changed from New to In Progress

- Subject changed from Debian Packages need to update when updated rather than deleted and re-installed to Debian Packages need to be updated

when updated, and environment aware

#7 - 2012-03-16 02:36 - Dave Vieglais

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

- Position deleted (65)

- Position set to 7
#8 - 2012-03-26 16:50 - Chris Jones

- Status changed from In Progress to Closed
